> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stellar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Claimable Balance

> The single claimable balance endpoint provides information on a claimable balance.



## OpenAPI

````yaml openapi/horizon/bundled.yml GET /claimable_balances/{claimable_balance_id}
openapi: 3.1.0
info:
  title: Horizon
  version: 0.0.1
  summary: >-
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by Stellar Core. This API serves the bridge
    between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.
  description: >
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by [Stellar
    Core](https://developers.stellar.org/network/core-node). This API serves the
    bridge between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.


    Horizon can be accessed via cURL, a browser, or one of the [Stellar
    SDKs](https://developers.stellar.org/docs/tools/sdks). To reduce the
    complexity of your project, we recommend you use an SDK instead of making
    direct API calls.


    This guide describes how to administer a production Horizon instance (refer
    to the [Developers'
    Blog](https://stellar.org/blog/developers/a-new-sun-on-the-horizon) for some
    background on the performance and architectural improvements of this major
    version bump). For information about developing on the Horizon codebase,
    check out the [Development
    Guide](https://github.com/stellar/stellar-horizon/blob/main/DEVELOPING.md).


    Before we begin, it's worth reiterating the sentiment echoed in the [Core
    Node](https://developers.stellar.org/network/core-node) documentation: **we
    do not endorse running Horizon backed by a standalone Stellar Core
    instance**, and especially not by a _validating_ Stellar Core. These are two
    separate concerns, and decoupling them is important for both reliability and
    performance. Horizon instead manages its own, pared-down version of Stellar
    Core optimized for its own subset of needs (we'll refer to this as a
    "Captive Core" instance).
  termsOfService: https://stellar.org/terms-of-service
  contact:
    name: Stellar Development Foundation
    url: https://stellar.org
    email: hello@stellar.org
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://horizon-testnet.stellar.org
    description: The Testnet Network
  - url: https://horizon-futurenet.stellar.org
    description: The Futurenet network
security: []
tags:
  - name: Accounts
    description: >-
      Users interact with the Stellar network through accounts. Everything else
      in the ledger—assets, offers, trustlines, etc. are owned by accounts, and
      accounts must authorize all changes to the ledger through signed
      transactions.
  - name: Assets
    description: >-
      Assets are representations of value issued on the Stellar network. An
      asset consists of a type, code, and issuer.
  - name: Claimable Balances
    description: >-
      A Claimable Balance represents the transfer of ownership of some amount of
      an asset. Claimable balances provide a mechanism for setting up a payment
      which can be claimed in the future. This allows you to make payments to
      accounts which are currently not able to accept them.
  - name: Effects
    description: >-
      Effects represent specific changes that occur in the ledger as a result of
      successful operations, but are not necessarily directly reflected in the
      ledger or history, as transactions and operations are.
  - name: Fee Stats
    description: >-
      Fee stats are used to predict what fee to set for a transaction before
      submitting it to the network.
  - name: Liquidity Pools
    description: >-
      Liquidity Pools provide a simple, non-interactive way to trade large
      amounts of capital and enable high volumes of trading.
  - name: Ledgers
    description: >-
      Each ledger stores the state of the network at a point in time and
      contains all the changes - transactions, operations, effects, etc. - to
      that state.
  - name: Offers
    description: >-
      Offers are statements about how much of an asset an account wants to buy
      or sell.
  - name: Operations
    description: >-
      Operations are objects that represent a desired change to the ledger:
      payments, offers to exchange currency, changes made to account options,
      etc. Operations are submitted to the Stellar network grouped in a
      Transaction.
  - name: Order Books
    description: An order book is a collections of offers for a specific pair of assets.
  - name: Paths
    description: >-
      Paths provide information about potential path payments. A path can be
      used to populate the necessary fields for a path payment operation.
  - name: Payments
    description: >-
      Payments are objects that represent balance transfer from one address to
      another. Payments are submitted to the Stellar network grouped in a
      Transaction.
  - name: Trade Aggregations
    description: >-
      A trade aggregation represents aggregated statistics on an asset pair
      (base and counter) for a specific time period. Trade aggregations are
      useful to developers of trading clients and provide historical trade data.
  - name: Trades
    description: >-
      When an offer is fully or partially fulfilled, a trade happens. Trades can
      also be caused by successful path payments, because path payments involve
      fulfilling offers. A trade occurs between two parties—base and counter.
      Which is which is either arbitrary or determined by the calling query.
  - name: Transactions
    description: >-
      Transactions are commands that modify the ledger state and consist of one
      or more operations.
paths:
  /claimable_balances/{claimable_balance_id}:
    get:
      tags:
        - Claimable Balances
      summary: Retrieve a Claimable Balance
      description: >-
        The single claimable balance endpoint provides information on a
        claimable balance.
      operationId: RetrieveAClaimableBalance
      parameters:
        - $ref: '#/components/parameters/ClaimableBalanceIdParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimableBalance'
              examples:
                RetrieveAClaimableBalance:
                  $ref: '#/components/examples/RetrieveAClaimableBalance'
components:
  parameters:
    ClaimableBalanceIdParam:
      name: claimable_balance_id
      in: path
      required: true
      description: A unique identifier for this claimable balance.
      schema:
        type: string
  schemas:
    ClaimableBalance:
      type: object
      properties:
        _links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/link'
            operations:
              $ref: '#/components/schemas/link'
            transactions:
              $ref: '#/components/schemas/link'
          required:
            - self
            - operations
            - transactions
        id:
          $ref: '#/components/schemas/id'
        asset:
          type: string
        amount:
          type: string
        sponsor:
          type: string
        last_modified_ledger:
          type: string
        last_modified_time:
          type: string
        claimants:
          type: array
          items:
            type: object
            properties:
              destination:
                $ref: '#/components/schemas/address'
              predicate:
                type: object
                properties:
                  and:
                    type: array
                    items:
                      type: object
                      properties:
                        or:
                          type: array
                          items:
                            type: object
                            properties:
                              relBefore:
                                type: string
                              absBefore:
                                type: string
                              absBeforeEpoch:
                                type: string
                        not:
                          type: object
                          properties:
                            unconditional:
                              type: boolean
                            relBefore:
                              type: string
                            absBefore:
                              type: string
                            absBeforeEpoch:
                              type: string
        flags:
          type: integer
        paging_token:
          type: string
      required:
        - id
        - paging_token
        - asset
        - amount
        - last_modified_ledger
        - last_modified_time
    link:
      type: object
      properties:
        href:
          type: string
          format: link
        templated:
          type: boolean
      required:
        - href
    id:
      type: string
    address:
      type: string
      pattern: G[A-Z0-9]{55}
  examples:
    RetrieveAClaimableBalance:
      value:
        _links:
          self:
            href: >-
              https://horizon-testnet.stellar.org/claimable_balances/000000000102030000000000000000000000000000000000000000000000000000000000
          operations:
            href: >-
              https://horizon-testnet.stellar.org/claimable_balances/000000000102030000000000000000000000000000000000000000000000000000000000/operations{?cursor,limit,order}
            templated: true
          transactions:
            href: >-
              https://horizon-testnet.stellar.org/claimable_balances/000000000102030000000000000000000000000000000000000000000000000000000000/transactions{?cursor,limit,order}
            templated: true
        id: >-
          000000000102030000000000000000000000000000000000000000000000000000000000
        paging_token: >-
          000000000102030000000000000000000000000000000000000000000000000000000000
        asset: native
        amount: '10.0000000'
        claimants:
          - destination: GC3C4AKRBQLHOJ45U4XG35ESVWRDECWO5XLDGYADO6DPR3L7KIDVUMML
            predicate:
              and:
                - or:
                    - relBefore: '12'
                    - absBefore: '2020-08-26T11:15:39Z'
                      absBeforeEpoch: '1598440539'
                - not:
                    unconditional: true
        last_modified_ledger: 28411995
        last_modified_time: '2020-02-26T19:29:16Z'

````